Bug 847867 - Review Request: julius - Large vocabulary continuous speech recognition (LVCSR) decoder software
Review Request: julius - Large vocabulary continuous speech recognition (LVCS...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randall "Randy" Berry
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 16:39 EDT by Tom "spot" Callaway
Modified: 2013-05-02 21:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-30 00:46:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
randyn3lrx: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2012-08-13 16:39:23 EDT
Spec URL: http://spot.fedorapeople.org/julius.spec
SRPM URL: http://spot.fedorapeople.org/julius-4.2.2-1.fc17.src.rpm
Description: 
"Julius" is a high-performance, two-pass large vocabulary continuous speech
recognition (LVCSR) decoder software for speech-related researchers and
developers. Based on word N-gram and context-dependent HMM, it can perform
almost real-time decoding on most current PCs in 60k word dictation task.
Major search techniques are fully incorporated such as tree lexicon, N-gram
factoring, cross-word context dependency handling, enveloped beam search,
Gaussian pruning, Gaussian selection, etc. Besides search efficiency, it is
also modularized carefully to be independent from model structures, and
various HMM types are supported such as shared-state triphones and
tied-mixture models, with any number of mixtures, states, or phones.
Standard formats are adopted to cope with other free modeling toolkit such
as HTK, CMU-Cam SLM toolkit, etc.

Fedora Account System Username: spot
Comment 1 Randall "Randy" Berry 2012-08-28 03:26:55 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see below).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines. Julius (https://fedoraproject.org/wiki/Licensing/Julius)
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "zlib/libpng", "MIT/X11 (BSD like)" For detailed output of licensecheck
     see file: /home/rberry/Fedora-Review/847867-julius/licensecheck.txt
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
     Note: Upstream SHA256SUM check error
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source1 (japanese-models.tar.gz) False positive.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
     Note: Upstream SHA256SUM check error: (see below)
See: http://fedoraproject.org/wiki/Packaging/SourceURL

Rpmlint
-------
Checking: julius-debuginfo-4.2.2-1.fc16.i686.rpm
          julius-japanese-models-4.2.2-1.fc16.noarch.rpm
          julius-4.2.2-1.fc16.src.rpm
          julius-4.2.2-1.fc16.i686.rpm
          julius-devel-4.2.2-1.fc16.i686.rpm
julius-japanese-models.noarch: W: spelling-error %description -l en_US triphone -> trip hone, trip-hone, iPhone
julius-japanese-models.noarch: W: spelling-error %description -l en_US monophone -> mono phone, mono-phone, monophonic
julius-japanese-models.noarch: W: no-documentation
julius.src: W: spelling-error %description -l en_US modularized -> popularized
julius.src: W: spelling-error %description -l en_US triphones -> trip hones, trip-hones, entryphones
julius.i686: W: spelling-error %description -l en_US modularized -> popularized
julius.i686: W: spelling-error %description -l en_US triphones -> trip hones, trip-hones, entryphones
julius.i686: W: shared-lib-calls-exit /usr/lib/libjulius.so.0.0.0 exit@GLIBC_2.0
julius.i686: W: shared-lib-calls-exit /usr/lib/libsent.so.0.0.0 exit@GLIBC_2.0
julius.i686: W: no-manual-page-for-binary yomi2voca.pl
julius-devel.i686: W: spelling-error Summary(en_US) libjulius -> Julius
julius-devel.i686: W: spelling-error Summary(en_US) libsent -> lib sent, lib-sent, Ibsen
julius-devel.i686: W: spelling-error %description -l en_US libjulius -> Julius
julius-devel.i686: W: spelling-error %description -l en_US libsent -> lib sent, lib-sent, Ibsen
julius-devel.i686: W: no-documentation
julius-devel.i686: W: no-manual-page-for-binary libsent-config
julius-devel.i686: W: no-manual-page-for-binary libjulius-config
5 packages and 0 specfiles checked; 0 errors, 17 warnings.

 All rpmlint warnings are excusable.

Rpmlint (installed packages)
----------------------------
# rpmlint julius-devel julius-japanese-models
julius-devel.i686: I: enchant-dictionary-not-found en_US
julius-devel.i686: W: invalid-license Julius
julius-devel.i686: W: no-documentation
julius-devel.i686: W: no-manual-page-for-binary libsent-config
julius-devel.i686: W: no-manual-page-for-binary libjulius-config
julius-japanese-models.noarch: W: invalid-license Julius
julius-japanese-models.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'

 Julius is a valid license. (Recently added) (https://fedoraproject.org/wiki/Licensing/Julius)

Requires
--------
julius-debuginfo-4.2.2-1.fc16.i686.rpm (rpmlib, GLIBC filtered):
    

julius-japanese-models-4.2.2-1.fc16.noarch.rpm (rpmlib, GLIBC filtered):
    
    julius = 4.2.2-1.fc16

julius-4.2.2-1.fc16.i686.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig  
    /usr/bin/perl  
    libasound.so.2  
    libc.so.6  
    libdl.so.2  
    libjulius.so.0  
    libm.so.6  
    libpthread.so.0  
    libpulse-simple.so.0  
    libpulse.so.0  
    libreadline.so.6  
    libsent.so.0  
    libsndfile.so.1  
    libz.so.1  
    perl(IO::Select)  
    perl(IO::Socket)  
    perl(Jcode)  
    perl(strict)  
    rtld(GNU_HASH)  

julius-devel-4.2.2-1.fc16.i686.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    julius = 4.2.2-1.fc16
    libjulius.so.0  
    libsent.so.0  

Provides
--------
julius-debuginfo-4.2.2-1.fc16.i686.rpm:
    
    julius-debuginfo = 4.2.2-1.fc16
    julius-debuginfo(x86-32) = 4.2.2-1.fc16

julius-japanese-models-4.2.2-1.fc16.noarch.rpm:
    
    julius-japanese-models = 4.2.2-1.fc16

julius-4.2.2-1.fc16.i686.rpm:
    
    julius = 4.2.2-1.fc16
    julius(x86-32) = 4.2.2-1.fc16
    libjulius.so.0  
    libsent.so.0  

julius-devel-4.2.2-1.fc16.i686.rpm:
    
    julius-devel = 4.2.2-1.fc16
    julius-devel(x86-32) = 4.2.2-1.fc16

MD5-sum check
-------------
http://sourceforge.jp/projects/julius/downloads/56549/julius-4.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : f53caf18be4fb8266b988071855565dccb78c09f00f1d36a8e258b7be6b3cef5
  CHECKSUM(SHA256) upstream package : 9bbf81999ea6ee3ddf42aece5be333e2500bad9612c972adafce0bb5d1d4aa63

http://julius.sourceforge.jp/archive/japanese-models.tar.gz :
  CHECKSUM(SHA256) this package     : 9ec42810092d1d55cfdc9566c2cd71cc0b65b6871734639c2c33f58f6e86df44
  CHECKSUM(SHA256) upstream package : 9ec42810092d1d55cfdc9566c2cd71cc0b65b6871734639c2c33f58f6e86df44


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 847867
External plugins:

Note: This is only my second attempt at using fedora-review. Please correct me on any errors on my part, false positives, etc.
Comment 2 Tom "spot" Callaway 2012-08-28 09:20:16 EDT
Hmm, I think that Source verification check failed because I didn't get the Source0 URL right. I've fixed it in -2.

The SHA256SUM I get from julius-4.2.2.tar.gz is:

f53caf18be4fb8266b988071855565dccb78c09f00f1d36a8e258b7be6b3cef5

(Which matches what I had before, so I'm thinking the review tool just blindly compared a 404 HTML download to the tarball. :) )

New SRPM: http://spot.fedorapeople.org/julius-4.2.2-2.fc17.src.rpm
New Spec URL: http://spot.fedorapeople.org/julius.spec
Comment 3 Randall "Randy" Berry 2012-08-29 04:45:09 EDT
julius-4.2.2.tar.gz
f53caf18be4fb8266b988071855565dccb78c09f00f1d36a8e258b7be6b3cef5  

julius-4.2.2.tar.gz.(1)
f53caf18be4fb8266b988071855565dccb78c09f00f1d36a8e258b7be6b3cef5  

 sha256sum matches. However, your link in the last comment is dead but I managed to find the F18 srpm of the correct release on your people space. Just be sure to use julius-4.2.2-2.fc18.src.rpm version[1].

 Also; the spec file you linked to still has release-1 instead of release-2. The f18 SRPM contains the correct release.

Fix those for the record and I'll approve the review.

[1] http://spot.fedorapeople.org/julius-4.2.2-2.fc18.src.rpm
Comment 4 Tom "spot" Callaway 2012-08-29 08:46:33 EDT
http://spot.fedorapeople.org/julius.spec is the release-2 version. Not sure why it didn't show up for you (I reuploaded it and confirmed it on the server side just to be sure).

I typo'd the other link (fc17 vs fc18, my bad). Correct link is:

http://spot.fedorapeople.org/julius-4.2.2-2.fc18.src.rpm
Comment 5 Randall "Randy" Berry 2012-08-29 13:28:15 EDT
-== Approved ==-
Comment 6 Tom "spot" Callaway 2013-04-24 10:32:17 EDT
New Package SCM Request
=======================
Package Name: julius
Short Description: Large vocabulary continuous speech recognition (LVCSR) decoder software
Owners: spot
Branches: f17 f18 f19 
InitialCC:
Comment 7 Gwyn Ciesla 2013-04-24 10:34:34 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-04-24 11:18:18 EDT
julius-4.2.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/julius-4.2.2-2.fc18
Comment 9 Fedora Update System 2013-04-24 11:18:28 EDT
julius-4.2.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/julius-4.2.2-2.fc17
Comment 10 Fedora Update System 2013-04-24 11:20:09 EDT
julius-4.2.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/julius-4.2.2-2.fc19
Comment 11 Deleted Account 2013-04-24 11:37:41 EDT
Would be nice to add the julius-voxforge package if possible, either way users have to get it to get some functionality, despite japanese.

User would need/like:
http://www.repository.voxforge1.org/downloads/Nightly_Builds/

This packages voxforge:
http://pkgs.org/fedora-18/rpm-sphere-i586/julius-voxforge-2012.10.22-4.1.noarch.rpm.html

See also:
http://www.voxforge.org/

http://pkgs.org/search/?keyword=julius
http://download.opensuse.org/repositories/home:/zhonghuaren/Fedora_18/src/
Comment 12 Fedora Update System 2013-04-24 20:28:30 EDT
julius-4.2.2-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Tom "spot" Callaway 2013-04-26 13:32:38 EDT
(In reply to comment #11)
> Would be nice to add the julius-voxforge package if possible, either way
> users have to get it to get some functionality, despite japanese.
> 
> User would need/like:
> http://www.repository.voxforge1.org/downloads/Nightly_Builds/
> 
> This packages voxforge:
> http://pkgs.org/fedora-18/rpm-sphere-i586/julius-voxforge-2012.10.22-4.1.
> noarch.rpm.html
> 
> See also:
> http://www.voxforge.org/
> 
> http://pkgs.org/search/?keyword=julius
> http://download.opensuse.org/repositories/home:/zhonghuaren/Fedora_18/src/

https://bugzilla.redhat.com/show_bug.cgi?id=957238
Comment 14 Fedora Update System 2013-04-30 00:46:12 EDT
julius-4.2.2-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-05-02 21:53:45 EDT
julius-4.2.2-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.